Bug 140239 - on typing in URL field cursor returns to the start of the Entry on each keypress
Summary: on typing in URL field cursor returns to the start of the Entry on each keypress
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.3 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0 target:7.1.1 target:7.0.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Form-Controls
  Show dependency treegraph
 
Reported: 2021-02-07 14:50 UTC by Regina Henschel
Modified: 2021-04-01 08:04 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2021-02-07 14:50:29 UTC
Start Calc and add a form control "Push Button".
Open "Control Properties" from its context menu.
On tab "General" scroll down to field "Action".
Select option "Open document/weg page" from the drop-down list.
Enter https://www.libreoffice.org into the field "URL".

Error: The next character when writing in the field "URL" is added to the left of the existing part instead of to the right.
Comment 1 m.a.riosv 2021-02-07 17:01:15 UTC
Confirmed, seems like it was RTL
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 3ed9bba283a6a67864c0928186e277240be0d9ba
CPU threads: 4; OS: Windows 10.0 Build 21296; UI render: Skia/Vulkan; VCL: win
Locale: es-ES (es_ES); UI: en-US Calc: CL

Workaround it's to paste instead.
Comment 2 Aron Budea 2021-02-08 05:29:47 UTC
(In reply to Regina Henschel from comment #0)
> Error: The next character when writing in the field "URL" is added to the
> left of the existing part instead of to the right.
In Linux + gtk3 VCL plugin the caret jumps back to the beginning to the field when I get to typing the first "w" in the URL. The "RTL-like" typing can be reproduced with gen VCL plugin.

Bibisected to the following commit using repo bibisect-linux-64-7.0. Similar to bug 138701, originating from the same commit (there are a bunch of others as well, eg. bug 134725, bug 139486).
Adding CC: to Caolán McNamara.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=1efeb17837c22499f00299c033ae59ba3910f7d7
author		Caolán McNamara <caolanm@redhat.com>	2019-11-04 13:06:04 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2019-12-09 13:28:35 +0100

weld Property Browser
Comment 3 Caolán McNamara 2021-02-11 14:47:05 UTC
we had something like this before where the order of events couldn't be relied on
Comment 4 Caolán McNamara 2021-02-11 15:35:14 UTC
no, not event ordering, similar to bug 138701
Comment 5 Commit Notification 2021-02-11 19:42:06 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/816994a1759e1760e4b55f327a2c957fba3860e0

tdf#140239 leave current cursor valid if the contents won't change

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2021-02-11 19:44:11 UTC
fixed in master, backport to 7-1 and 7-1 in gerrit
Comment 7 Commit Notification 2021-02-13 10:43:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/7a1433eac51169791aabb020c4004e842dc22e24

tdf#140239 leave current cursor valid if the contents won't change

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-02-13 10:44:58 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/691bb5a48ec3281eb241bc3fef1d8874d10a4edb

tdf#140239 leave current cursor valid if the contents won't change

It will be available in 7.0.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2021-02-16 11:46:06 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1-1":

https://git.libreoffice.org/core/commit/c810c0aacb38d038bd058651f0b56138dedfe9c8

tdf#140239 leave current cursor valid if the contents won't change

It will be available in 7.1.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2021-02-24 18:48:39 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/62b1c81d11035bfd9323dc49b1e99cae55e89ffa

tdf#140239: sw: Add UItest

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.